#
libsff

Home | Modules | Examples

# /home/pinky2/mattijs/OpenFOAM/OpenFOAM-1.0/applications/utilities/mesh/conversion/ccm24ToFoam/libccmio/libccmio/ccmioprivate.h File Reference

Go to the source code of this file.

## Typedefs

typedef int | ADFError

## Functions

void | MakeInvalidNode (CCMIONode *node)
| Writes an invalid CCMIO node in 'node'.
int | IsRootNode (CCMIONode node)
| Returns TRUE if 'node' is the root node, FALSE otherwise.
unsigned int | CCMIOGetDataTypeSize (CCMIODataType type)
| Returns the size of the specified datatype.
const char * | CCMIOGetDataTypeADFName (CCMIODataType type)
| Returns an ADF typename string from the specified type.
CCMIODataType | CCMIOGetCCMIODataType (const char *dataStr)
| Returns an CCMIODataType from an ADF string.
CCMIOError | IsSameFormat (CCMIONode node, CCMIODataType type, int dimSize)
| Checks to see if the node has the same datatype and dimension size as specified.
int | ParseArgs (va_list args, int *out)
| Parses a va_list of dimension arguments.
void | FortranToCArray (int size, int *ary)
| Converts an array of Fortran dimensions to C dimensions (i.e.
int | CalcOffset (int n, int coord[], int dimWidth[])
| Takes a coordinate and size of array and returns the offset of the index into the array (if StoreCStyleArrays is enabled then the array is assumed to be in C-ordering, otherwise it is in FORTRAN ordering).
int | IsADFError (int adfErr)
| Returns 1 if adfErr is an ADF error, 0 otherwise.
CCMIOError | ADFToCCMIOError (int adfErr)
| Returns the appropriate CCMIOError from the specified adfErr.

## Typedef Documentation

typedef int ADFError

| Definition at line 31 of file ccmioprivate.h.

## Function Documentation

CCMIOError ADFToCCMIOError | ( | int | adfErr | ) |

| Returns the appropriate CCMIOError from the specified adfErr.

int CalcOffset | ( | int | n,
|  | int | coord[],
|  | int | dimWidth[]
| ) |

| Takes a coordinate and size of array and returns the offset of the index into the array (if StoreCStyleArrays is enabled then the array is assumed to be in C-ordering, otherwise it is in FORTRAN ordering).

CCMIODataType CCMIOGetCCMIODataType | ( | const char * | dataStr | ) |

| Returns an CCMIODataType from an ADF string.

const char* CCMIOGetDataTypeADFName | ( | CCMIODataType | type | ) |

| Returns an ADF typename string from the specified type.

unsigned int CCMIOGetDataTypeSize | ( | CCMIODataType | type | ) |

| Returns the size of the specified datatype.

void FortranToCArray | ( | int | size,
|  | int * | ary
| ) |

| Converts an array of Fortran dimensions to C dimensions (i.e. reverses them

int IsADFError | ( | int | adfErr | ) |

| Returns 1 if adfErr is an ADF error, 0 otherwise.

int IsRootNode | ( | CCMIONode | node | ) |

| Returns TRUE if 'node' is the root node, FALSE otherwise.

CCMIOError IsSameFormat | ( | CCMIONode | node,
|  | CCMIODataType | type,
|  | int | dimSize
| ) |

| Checks to see if the node has the same datatype and dimension size as specified.

void MakeInvalidNode | ( | CCMIONode * | node | ) |

| Writes an invalid CCMIO node in 'node'.

int ParseArgs | ( | va_list | args,
|  | int * | out
| ) |

| Parses a va_list of dimension arguments.